package jalview.datamodel;

public interface ContactListProviderI
{

  /**
   * 
   * @return position index for this contact List (usually sequence position or
   *         alignment column)
   */
  int getPosition();

  /**
   * dimension of list where getContactAt(column<getContactHeight()) may return
   * a value
   * 
   * @return
   */
  int getContactHeight();

  /**
   * get a value representing contact at column for this site
   * 
   * @param column
   * @return Double.NaN or a contact strength for this site
   */
  double getContactAt(int column);

}
